工作流
更新工作流
更新工作流的名稱、觸發器、步驟或啓用狀態。
PATCH
/
api
/
v1
/
workflows
/
{id}
更新工作流
curl --request PATCH \
--url https://api.example.com/api/v1/workflows/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"triggerType": "<string>",
"triggerConfig": {},
"steps": [
{}
],
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/workflows/{id}"
payload = {
"name": "<string>",
"triggerType": "<string>",
"triggerConfig": {},
"steps": [{}],
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
triggerType: '<string>',
triggerConfig: {},
steps: [{}],
enabled: true
})
};
fetch('https://api.example.com/api/v1/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'triggerType' => '<string>',
'triggerConfig' => [
],
'steps' => [
[
]
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/workflows/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/workflows/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"workflow": {}
}身份驗證
需要具有tools 權限範圍的 Bearer 令牌。參見身份驗證。
路徑參數
string
必填
該工作流的 UUID。
請求
所有字段均為可選 — 只需包含需要修改的部分。string
工作流的顯示名稱。
string
工作流的觸發方式(例如
manual、schedule、event)。object
觸發器配置(調度表達式、事件模式等)。
array
工作流步驟的有序列表。
boolean
啓用或禁用該工作流。
響應
object
更新後的工作流對象。
示例
curl
curl -X PATCH https://www.hitheo.ai/api/v1/workflows/wf_abc123 \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "enabled": false }'
這個頁面有幫助嗎?
更新工作流
curl --request PATCH \
--url https://api.example.com/api/v1/workflows/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"triggerType": "<string>",
"triggerConfig": {},
"steps": [
{}
],
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/workflows/{id}"
payload = {
"name": "<string>",
"triggerType": "<string>",
"triggerConfig": {},
"steps": [{}],
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
triggerType: '<string>',
triggerConfig: {},
steps: [{}],
enabled: true
})
};
fetch('https://api.example.com/api/v1/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'triggerType' => '<string>',
'triggerConfig' => [
],
'steps' => [
[
]
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/workflows/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/workflows/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerConfig\": {},\n \"steps\": [\n {}\n ],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"workflow": {}
}